/*
 * OpenFWTK SSL wrapper header file
 *
 * (C) Copyright 2002 ArkanoiD <ark@eltex.ru>
 * Not a public release.
 *
 */

extern 	SSL_CTX			*proxy_SSLCTX;
extern	STACK_OF(X509_NAME) 	*proxy_SSLcertnames;

int 	proxy_check_cert(SSL *ssl,char *host,char *vrfy);
void 	proxy_SSLinit();
SSL* 	proxy_SSLaccept(int fd, char *rladdr, char *riaddr, char *cvrfy);
SSL* 	proxy_SSLconnect(int fd, char *dst, char *svrfy);
int	proxy_SSLread(SSL *conn, char *buf, int buflen);
int	proxy_SSLwrite(SSL *conn, char *buf, int buflen);

